<!DOCTYPE HTML>
<html lang="fr">
<head>
<!-- Generated by javadoc (17) on Tue May 07 14:16:39 CEST 2024 -->
<title>I-Index</title>
<meta name="viewport" content="width=device-width, initial-scale=1">
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<meta name="dc.created" content="2024-05-07">
<meta name="description" content="index: I">
<meta name="generator" content="javadoc/IndexWriter">
<link rel="stylesheet" type="text/css" href="../stylesheet.css" title="Style">
<link rel="stylesheet" type="text/css" href="../script-dir/jquery-ui.min.css" title="Style">
<link rel="stylesheet" type="text/css" href="../jquery-ui.overrides.css" title="Style">
<script type="text/javascript" src="../script.js"></script>
<script type="text/javascript" src="../script-dir/jquery-3.6.1.min.js"></script>
<script type="text/javascript" src="../script-dir/jquery-ui.min.js"></script>
</head>
<body class="index-page">
<script type="text/javascript">var pathtoroot = "../";
loadScripts(document, 'script');</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<div class="flex-box">
<header role="banner" class="flex-header">
<nav role="navigation">
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="top-nav" id="navbar-top">
<div class="skip-nav"><a href="#skip-navbar-top" title="Skip navigation links">Skip navigation links</a></div>
<ul id="navbar-top-firstrow" class="nav-list" title="Navigation">
<li><a href="../index.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li><a href="../overview-tree.html">Tree</a></li>
<li class="nav-bar-cell1-rev">Index</li>
<li><a href="../help-doc.html#index">Help</a></li>
</ul>
</div>
<div class="sub-nav">
<div class="nav-list-search"><label for="search-input">SEARCH:</label>
<input type="text" id="search-input" value="search" disabled="disabled">
<input type="reset" id="reset-button" value="reset" disabled="disabled">
</div>
</div>
<!-- ========= END OF TOP NAVBAR ========= -->
<span class="skip-nav" id="skip-navbar-top"></span></nav>
</header>
<div class="flex-content">
<main role="main">
<div class="header">
<h1>Index</h1>
</div>
<a href="index-1.html">A</a>&nbsp;<a href="index-2.html">B</a>&nbsp;<a href="index-3.html">C</a>&nbsp;<a href="index-4.html">D</a>&nbsp;<a href="index-5.html">E</a>&nbsp;<a href="index-6.html">F</a>&nbsp;<a href="index-7.html">G</a>&nbsp;<a href="index-8.html">H</a>&nbsp;<a href="index-9.html">I</a>&nbsp;<a href="index-10.html">L</a>&nbsp;<a href="index-11.html">M</a>&nbsp;<a href="index-12.html">N</a>&nbsp;<a href="index-13.html">O</a>&nbsp;<a href="index-14.html">P</a>&nbsp;<a href="index-15.html">R</a>&nbsp;<a href="index-16.html">S</a>&nbsp;<a href="index-17.html">T</a>&nbsp;<a href="index-18.html">U</a>&nbsp;<a href="index-19.html">V</a>&nbsp;<a href="index-20.html">W</a>&nbsp;<br><a href="../allclasses-index.html">All&nbsp;Classes&nbsp;and&nbsp;Interfaces</a><span class="vertical-separator">|</span><a href="../allpackages-index.html">All&nbsp;Packages</a>
<h2 class="title" id="I:I">I</h2>
<dl class="index">
<dt><a href="../fr/ici/buildingActivity/util/property/AddressRef.html#ICI" class="member-name-link">ICI</a> - Enum constant in enum class fr.ici.buildingActivity.util.property.<a href="../fr/ici/buildingActivity/util/property/AddressRef.html" title="enum class in fr.ici.buildingActivity.util.property">AddressRef</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../fr/ici/buildingActivity/util/property/BuildingRef.html#ICI" class="member-name-link">ICI</a> - Enum constant in enum class fr.ici.buildingActivity.util.property.<a href="../fr/ici/buildingActivity/util/property/BuildingRef.html" title="enum class in fr.ici.buildingActivity.util.property">BuildingRef</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../fr/ici/buildingActivity/poi/POI.html#idBuilding" class="member-name-link">idBuilding</a> - Variable in class fr.ici.buildingActivity.poi.<a href="../fr/ici/buildingActivity/poi/POI.html" title="class in fr.ici.buildingActivity.poi">POI</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../fr/ici/buildingActivity/address/Address.html#importAddressFromBAN(java.io.File,fr.ici.buildingActivity.util.property.AddressRef,org.locationtech.jts.geom.Geometry)" class="member-name-link">importAddressFromBAN(File, AddressRef, Geometry)</a> - Static method in class fr.ici.buildingActivity.address.<a href="../fr/ici/buildingActivity/address/Address.html" title="class in fr.ici.buildingActivity.address">Address</a></dt>
<dd>
<div class="block">Import addresses from a BAN file with mulitple entry types</div>
</dd>
<dt><a href="../fr/ici/buildingActivity/address/Address.html#importAddressFromCsvBAN(java.io.File,fr.ici.buildingActivity.util.property.AddressRef,org.locationtech.jts.geom.Geometry)" class="member-name-link">importAddressFromCsvBAN(File, AddressRef, Geometry)</a> - Static method in class fr.ici.buildingActivity.address.<a href="../fr/ici/buildingActivity/address/Address.html" title="class in fr.ici.buildingActivity.address">Address</a></dt>
<dd>
<div class="block">Import addresses from a BAN file with mulitple entry types with already geocoded geometries</div>
</dd>
<dt><a href="../fr/ici/buildingActivity/address/Address.html#importAddressFromGeoBAN(java.io.File,fr.ici.buildingActivity.util.property.AddressRef,org.locationtech.jts.geom.Geometry)" class="member-name-link">importAddressFromGeoBAN(File, AddressRef, Geometry)</a> - Static method in class fr.ici.buildingActivity.address.<a href="../fr/ici/buildingActivity/address/Address.html" title="class in fr.ici.buildingActivity.address">Address</a></dt>
<dd>
<div class="block">Import addresses from a BAN geo file</div>
</dd>
<dt><a href="../fr/ici/buildingActivity/address/Address.html#importAddressFromICI(java.io.File)" class="member-name-link">importAddressFromICI(File)</a> - Static method in class fr.ici.buildingActivity.address.<a href="../fr/ici/buildingActivity/address/Address.html" title="class in fr.ici.buildingActivity.address">Address</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../fr/ici/buildingActivity/local/paris/ApurPOI.html#importApurPOI(java.io.File)" class="member-name-link">importApurPOI(File)</a> - Static method in class fr.ici.buildingActivity.local.paris.<a href="../fr/ici/buildingActivity/local/paris/ApurPOI.html" title="class in fr.ici.buildingActivity.local.paris">ApurPOI</a></dt>
<dd>
<div class="block">Generate APUR POI points from already generated apurPOI</div>
</dd>
<dt><a href="../fr/ici/buildingActivity/local/paris/ApurPOI.html#importApurPOI(java.io.File,java.io.File,org.locationtech.jts.geom.Geometry)" class="member-name-link">importApurPOI(File, File, Geometry)</a> - Static method in class fr.ici.buildingActivity.local.paris.<a href="../fr/ici/buildingActivity/local/paris/ApurPOI.html" title="class in fr.ici.buildingActivity.local.paris">ApurPOI</a></dt>
<dd>
<div class="block">Generate new APUR POI points from apur output</div>
</dd>
<dt><a href="../fr/ici/buildingActivity/local/paris/ApurPOI.html#importAPURSchool(java.io.File,boolean,org.locationtech.jts.geom.Geometry)" class="member-name-link">importAPURSchool(File, boolean, Geometry)</a> - Static method in class fr.ici.buildingActivity.local.paris.<a href="../fr/ici/buildingActivity/local/paris/ApurPOI.html" title="class in fr.ici.buildingActivity.local.paris">ApurPOI</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../fr/ici/buildingActivity/building/getBDTopo.html#importBDTopoToPSQL(java.io.File)" class="member-name-link">importBDTopoToPSQL(File)</a> - Static method in class fr.ici.buildingActivity.building.<a href="../fr/ici/buildingActivity/building/getBDTopo.html" title="class in fr.ici.buildingActivity.building">getBDTopo</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../fr/ici/buildingActivity/insee/BpePOI.html#importBpePOI(java.io.File,org.locationtech.jts.geom.Geometry)" class="member-name-link">importBpePOI(File, Geometry)</a> - Static method in class fr.ici.buildingActivity.insee.<a href="../fr/ici/buildingActivity/insee/BpePOI.html" title="class in fr.ici.buildingActivity.insee">BpePOI</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../fr/ici/buildingActivity/building/BuildingSimple.html#importBuildingFromBDTopo(java.io.File,fr.ici.buildingActivity.util.property.BuildingRef,org.locationtech.jts.geom.Geometry)" class="member-name-link">importBuildingFromBDTopo(File, BuildingRef, Geometry)</a> - Static method in class fr.ici.buildingActivity.building.<a href="../fr/ici/buildingActivity/building/BuildingSimple.html" title="class in fr.ici.buildingActivity.building">BuildingSimple</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../fr/ici/buildingActivity/building/BuildingSimple.html#importBuildingFromBDTopo(java.io.File,java.io.File,java.lang.String,fr.ici.buildingActivity.util.property.BuildingRef)" class="member-name-link">importBuildingFromBDTopo(File, File, String, BuildingRef)</a> - Static method in class fr.ici.buildingActivity.building.<a href="../fr/ici/buildingActivity/building/BuildingSimple.html" title="class in fr.ici.buildingActivity.building">BuildingSimple</a></dt>
<dd>
<div class="block">Import buildings from an already existing collection of ICI building or from BDTopo</div>
</dd>
<dt><a href="../fr/ici/buildingActivity/building/BuildingSimple.html#importBuildingFromBDTopo(java.io.File,java.io.File,java.lang.String,fr.ici.buildingActivity.util.property.BuildingRef,java.io.File,org.locationtech.jts.geom.Geometry,java.io.File)" class="member-name-link">importBuildingFromBDTopo(File, File, String, BuildingRef, File, Geometry, File)</a> - Static method in class fr.ici.buildingActivity.building.<a href="../fr/ici/buildingActivity/building/BuildingSimple.html" title="class in fr.ici.buildingActivity.building">BuildingSimple</a></dt>
<dd>
<div class="block">Import buildings from an already existing collection of BDTopo building.</div>
</dd>
<dt><a href="../fr/ici/buildingActivity/building/BuildingSimple.html#importBuildingFromBDTopo(java.io.File,java.io.File,java.lang.String,fr.ici.buildingActivity.util.property.BuildingRef,org.locationtech.jts.geom.Geometry)" class="member-name-link">importBuildingFromBDTopo(File, File, String, BuildingRef, Geometry)</a> - Static method in class fr.ici.buildingActivity.building.<a href="../fr/ici/buildingActivity/building/BuildingSimple.html" title="class in fr.ici.buildingActivity.building">BuildingSimple</a></dt>
<dd>
<div class="block">Import buildings from an already existing collection of ICI building or from BDTopo</div>
</dd>
<dt><a href="../fr/ici/buildingActivity/building/BuildingSimple.html#importBuildingFromBDTopo(java.io.File,org.geotools.data.simple.SimpleFeatureCollection,java.lang.String,fr.ici.buildingActivity.util.property.BuildingRef,java.io.File,org.locationtech.jts.geom.Geometry,java.io.File)" class="member-name-link">importBuildingFromBDTopo(File, SimpleFeatureCollection, String, BuildingRef, File, Geometry, File)</a> - Static method in class fr.ici.buildingActivity.building.<a href="../fr/ici/buildingActivity/building/BuildingSimple.html" title="class in fr.ici.buildingActivity.building">BuildingSimple</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../fr/ici/buildingActivity/building/BuildingSimple.html#importBuildingFromBNB(java.io.File,org.locationtech.jts.geom.Geometry,java.io.File)" class="member-name-link">importBuildingFromBNB(File, Geometry, File)</a> - Static method in class fr.ici.buildingActivity.building.<a href="../fr/ici/buildingActivity/building/BuildingSimple.html" title="class in fr.ici.buildingActivity.building">BuildingSimple</a></dt>
<dd>
<div class="block">Import buildings from an already existing collection of BDTopo building.</div>
</dd>
<dt><a href="../fr/ici/buildingActivity/building/BuildingSimple.html#importBuildingFromICI(java.io.File)" class="member-name-link">importBuildingFromICI(File)</a> - Static method in class fr.ici.buildingActivity.building.<a href="../fr/ici/buildingActivity/building/BuildingSimple.html" title="class in fr.ici.buildingActivity.building">BuildingSimple</a></dt>
<dd>
<div class="block">Import buildings from an already existing collection of ICI building or from BDTopo</div>
</dd>
<dt><a href="../fr/ici/buildingActivity/building/BuildingGroup.html#importBuildingGroup(java.io.File,java.lang.String,java.io.File,fr.ici.buildingActivity.util.property.BuildingRef,java.io.File)" class="member-name-link">importBuildingGroup(File, String, File, BuildingRef, File)</a> - Static method in class fr.ici.buildingActivity.building.<a href="../fr/ici/buildingActivity/building/BuildingGroup.html" title="class in fr.ici.buildingActivity.building">BuildingGroup</a></dt>
<dd>
<div class="block">Generate new BuildingGroup from sources.</div>
</dd>
<dt><a href="../fr/ici/buildingActivity/building/BuildingGroup.html#importBuildingGroupICI(java.io.File)" class="member-name-link">importBuildingGroupICI(File)</a> - Static method in class fr.ici.buildingActivity.building.<a href="../fr/ici/buildingActivity/building/BuildingGroup.html" title="class in fr.ici.buildingActivity.building">BuildingGroup</a></dt>
<dd>
<div class="block">Import already exported ICI's BuildingGroup.</div>
</dd>
<dt><a href="../fr/ici/buildingActivity/building/BuildingGroup.html#importBuildingGroupICI(java.io.File,boolean,java.util.List)" class="member-name-link">importBuildingGroupICI(File, boolean, List&lt;Address&gt;)</a> - Static method in class fr.ici.buildingActivity.building.<a href="../fr/ici/buildingActivity/building/BuildingGroup.html" title="class in fr.ici.buildingActivity.building">BuildingGroup</a></dt>
<dd>
<div class="block">Import already exported ICI's BuildingGroup.</div>
</dd>
<dt><a href="../fr/ici/buildingActivity/insee/BpePOI.html#importCsvBpePOI(java.io.File,org.locationtech.jts.geom.Geometry)" class="member-name-link">importCsvBpePOI(File, Geometry)</a> - Static method in class fr.ici.buildingActivity.insee.<a href="../fr/ici/buildingActivity/insee/BpePOI.html" title="class in fr.ici.buildingActivity.insee">BpePOI</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../fr/ici/buildingActivity/insee/BpePOI.html#importGeocodedBpePOI(java.io.File)" class="member-name-link">importGeocodedBpePOI(File)</a> - Static method in class fr.ici.buildingActivity.insee.<a href="../fr/ici/buildingActivity/insee/BpePOI.html" title="class in fr.ici.buildingActivity.insee">BpePOI</a></dt>
<dd>
<div class="block">Import BPE POI already treated and exported by the <a href="../fr/ici/buildingActivity/poi/POI.html#exportListPOI(java.util.List,java.lang.String,java.io.File)"><code>POI.exportListPOI(List, String, File)</code></a> method.</div>
</dd>
<dt><a href="../fr/ici/buildingActivity/insee/BpePOI.html#importGeocodedBpePOI(java.io.File,org.locationtech.jts.geom.Geometry)" class="member-name-link">importGeocodedBpePOI(File, Geometry)</a> - Static method in class fr.ici.buildingActivity.insee.<a href="../fr/ici/buildingActivity/insee/BpePOI.html" title="class in fr.ici.buildingActivity.insee">BpePOI</a></dt>
<dd>
<div class="block">Import BPE POI already treated and exported by the <a href="../fr/ici/buildingActivity/poi/POI.html#exportListPOI(java.util.List,java.lang.String,java.io.File)"><code>POI.exportListPOI(List, String, File)</code></a> method.</div>
</dd>
<dt><a href="../fr/ici/buildingActivity/housing/Housing.html#importHousing(java.io.File)" class="member-name-link">importHousing(File)</a> - Static method in class fr.ici.buildingActivity.housing.<a href="../fr/ici/buildingActivity/housing/Housing.html" title="class in fr.ici.buildingActivity.housing">Housing</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../fr/ici/buildingActivity/housing/Housing.html#importHousing(java.util.List,java.io.File,java.io.File,java.util.List,java.util.List)" class="member-name-link">importHousing(List&lt;? extends Building&gt;, File, File, List&lt;? extends LocalPOI&gt;, List&lt;POI&gt;)</a> - Static method in class fr.ici.buildingActivity.housing.<a href="../fr/ici/buildingActivity/housing/Housing.html" title="class in fr.ici.buildingActivity.housing">Housing</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../fr/ici/buildingActivity/building/BuildingImport.html#importICIBuilding(java.io.File)" class="member-name-link">importICIBuilding(File)</a> - Static method in class fr.ici.buildingActivity.building.<a href="../fr/ici/buildingActivity/building/BuildingImport.html" title="class in fr.ici.buildingActivity.building">BuildingImport</a></dt>
<dd>
<div class="block">Import an ICI building.</div>
</dd>
<dt><a href="../fr/ici/buildingActivity/local/LocalPOI.html#importLocalPOI(java.io.File)" class="member-name-link">importLocalPOI(File)</a> - Static method in class fr.ici.buildingActivity.local.<a href="../fr/ici/buildingActivity/local/LocalPOI.html" title="class in fr.ici.buildingActivity.local">LocalPOI</a></dt>
<dd>
<div class="block">Import points from ICI exported points</div>
</dd>
<dt><a href="../fr/ici/buildingActivity/local/LocalPOI.html#importLocalPOI(java.io.File,java.io.File,org.locationtech.jts.geom.Geometry)" class="member-name-link">importLocalPOI(File, File, Geometry)</a> - Static method in class fr.ici.buildingActivity.local.<a href="../fr/ici/buildingActivity/local/LocalPOI.html" title="class in fr.ici.buildingActivity.local">LocalPOI</a></dt>
<dd>
<div class="block">Generate new points</div>
</dd>
<dt><a href="../fr/ici/buildingActivity/osm/ImportOSM.html" class="type-name-link" title="class in fr.ici.buildingActivity.osm">ImportOSM</a> - Class in <a href="../fr/ici/buildingActivity/osm/package-summary.html">fr.ici.buildingActivity.osm</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../fr/ici/buildingActivity/osm/ImportOSM.html#%3Cinit%3E()" class="member-name-link">ImportOSM()</a> - Constructor for class fr.ici.buildingActivity.osm.<a href="../fr/ici/buildingActivity/osm/ImportOSM.html" title="class in fr.ici.buildingActivity.osm">ImportOSM</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../fr/ici/buildingActivity/osm/OsmPOI.html#importOsmFromICIPOI(java.io.File)" class="member-name-link">importOsmFromICIPOI(File)</a> - Static method in class fr.ici.buildingActivity.osm.<a href="../fr/ici/buildingActivity/osm/OsmPOI.html" title="class in fr.ici.buildingActivity.osm">OsmPOI</a></dt>
<dd>
<div class="block">import a list of OSM POI from a ICI generated file.</div>
</dd>
<dt><a href="../fr/ici/buildingActivity/osm/OsmPOI.html#importOsmPOI(java.io.File,java.util.List,org.locationtech.jts.geom.Geometry)" class="member-name-link">importOsmPOI(File, List&lt;String[]&gt;, Geometry)</a> - Static method in class fr.ici.buildingActivity.osm.<a href="../fr/ici/buildingActivity/osm/OsmPOI.html" title="class in fr.ici.buildingActivity.osm">OsmPOI</a></dt>
<dd>
<div class="block">import a list of OSM POI from a file.</div>
</dd>
<dt><a href="../fr/ici/buildingActivity/osm/OsmPOI.html#importOsmPOIGeoDataMine(java.io.File,java.io.File,org.locationtech.jts.geom.Geometry)" class="member-name-link">importOsmPOIGeoDataMine(File, File, Geometry)</a> - Static method in class fr.ici.buildingActivity.osm.<a href="../fr/ici/buildingActivity/osm/OsmPOI.html" title="class in fr.ici.buildingActivity.osm">OsmPOI</a></dt>
<dd>
<div class="block">Import a list of OSM POI from a geodatamine dump.</div>
</dd>
<dt><a href="../fr/ici/buildingActivity/poi/POI.html#importPOI(java.io.File)" class="member-name-link">importPOI(File)</a> - Static method in class fr.ici.buildingActivity.poi.<a href="../fr/ici/buildingActivity/poi/POI.html" title="class in fr.ici.buildingActivity.poi">POI</a></dt>
<dd>
<div class="block">Import POI from an already generated file.</div>
</dd>
<dt><a href="../fr/ici/buildingActivity/poi/POI.html#importPOI(java.io.File,org.locationtech.jts.geom.Geometry)" class="member-name-link">importPOI(File, Geometry)</a> - Static method in class fr.ici.buildingActivity.poi.<a href="../fr/ici/buildingActivity/poi/POI.html" title="class in fr.ici.buildingActivity.poi">POI</a></dt>
<dd>
<div class="block">Import POI from an already generated file.</div>
</dd>
<dt><a href="../fr/ici/buildingActivity/poi/POIImport.html#importPOIFromICIFolder(java.io.File,java.lang.String,java.util.List,java.time.LocalDate,boolean)" class="member-name-link">importPOIFromICIFolder(File, String, List&lt;? extends Building&gt;, LocalDate, boolean)</a> - Static method in class fr.ici.buildingActivity.poi.<a href="../fr/ici/buildingActivity/poi/POIImport.html" title="class in fr.ici.buildingActivity.poi">POIImport</a></dt>
<dd>
<div class="block">Import already generated POI the way ICI root folder is organized.</div>
</dd>
<dt><a href="../fr/ici/buildingActivity/local/LocalPOI.html#importSchoolPOI(java.io.File,boolean,org.locationtech.jts.geom.Geometry)" class="member-name-link">importSchoolPOI(File, boolean, Geometry)</a> - Static method in class fr.ici.buildingActivity.local.<a href="../fr/ici/buildingActivity/local/LocalPOI.html" title="class in fr.ici.buildingActivity.local">LocalPOI</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../fr/ici/buildingActivity/insee/SireneImport.html#importSIRENEfromPostgisDB(java.lang.String,java.io.File,java.time.LocalDate,boolean,boolean,boolean)" class="member-name-link">importSIRENEfromPostgisDB(String, File, LocalDate, boolean, boolean, boolean)</a> - Static method in class fr.ici.buildingActivity.insee.<a href="../fr/ici/buildingActivity/insee/SireneImport.html" title="class in fr.ici.buildingActivity.insee">SireneImport</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../fr/ici/buildingActivity/insee/SireneImport.html#importSIRENEfromPostgisDB(java.util.List,java.io.File,java.time.LocalDate,boolean,boolean)" class="member-name-link">importSIRENEfromPostgisDB(List&lt;String&gt;, File, LocalDate, boolean, boolean)</a> - Static method in class fr.ici.buildingActivity.insee.<a href="../fr/ici/buildingActivity/insee/SireneImport.html" title="class in fr.ici.buildingActivity.insee">SireneImport</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../fr/ici/buildingActivity/insee/SirenePOI.html#importSirenePOI(java.io.File)" class="member-name-link">importSirenePOI(File)</a> - Static method in class fr.ici.buildingActivity.insee.<a href="../fr/ici/buildingActivity/insee/SirenePOI.html" title="class in fr.ici.buildingActivity.insee">SirenePOI</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../fr/ici/buildingActivity/housing/Housing.html#impossible" class="member-name-link">impossible</a> - Static variable in class fr.ici.buildingActivity.housing.<a href="../fr/ici/buildingActivity/housing/Housing.html" title="class in fr.ici.buildingActivity.housing">Housing</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../fr/ici/buildingActivity/building/getBDTopo.html#increaseLengthField(org.opengis.feature.simple.SimpleFeatureType,java.lang.String)" class="member-name-link">increaseLengthField(SimpleFeatureType, String)</a> - Static method in class fr.ici.buildingActivity.building.<a href="../fr/ici/buildingActivity/building/getBDTopo.html" title="class in fr.ici.buildingActivity.building">getBDTopo</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../fr/ici/buildingActivity/iris/IRISHousing.html" class="type-name-link" title="class in fr.ici.buildingActivity.iris">IRISHousing</a> - Class in <a href="../fr/ici/buildingActivity/iris/package-summary.html">fr.ici.buildingActivity.iris</a></dt>
<dd>
<div class="block">IRIS implementation for statistical housing information.</div>
</dd>
<dt><a href="../fr/ici/buildingActivity/iris/IRISHousing.html#%3Cinit%3E(org.opengis.feature.simple.SimpleFeature,int,int)" class="member-name-link">IRISHousing(SimpleFeature, int, int)</a> - Constructor for class fr.ici.buildingActivity.iris.<a href="../fr/ici/buildingActivity/iris/IRISHousing.html" title="class in fr.ici.buildingActivity.iris">IRISHousing</a></dt>
<dd>
<div class="block">Constructor for IRIS with Housing statistical information.</div>
</dd>
<dt><a href="../fr/ici/buildingActivity/poi/POI.html#isActive()" class="member-name-link">isActive()</a> - Method in class fr.ici.buildingActivity.poi.<a href="../fr/ici/buildingActivity/poi/POI.html" title="class in fr.ici.buildingActivity.poi">POI</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../fr/ici/buildingActivity/insee/SireneUtil.html#isActive(java.lang.String)" class="member-name-link">isActive(String)</a> - Static method in class fr.ici.buildingActivity.insee.<a href="../fr/ici/buildingActivity/insee/SireneUtil.html" title="class in fr.ici.buildingActivity.insee">SireneUtil</a></dt>
<dd>
<div class="block">Determines regarding the argument <a href="../fr/ici/buildingActivity/poi/POI.html#activity"><code>POI.activity</code></a> if the activity is open or not.</div>
</dd>
<dt><a href="../fr/ici/buildingActivity/address/AddressUtil.html#isAuthorizedAddressWord(java.lang.String)" class="member-name-link">isAuthorizedAddressWord(String)</a> - Static method in class fr.ici.buildingActivity.address.<a href="../fr/ici/buildingActivity/address/AddressUtil.html" title="class in fr.ici.buildingActivity.address">AddressUtil</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../fr/ici/buildingActivity/address/Address.html#isEntrance()" class="member-name-link">isEntrance()</a> - Method in class fr.ici.buildingActivity.address.<a href="../fr/ici/buildingActivity/address/Address.html" title="class in fr.ici.buildingActivity.address">Address</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../fr/ici/buildingActivity/poi/POI.html#isHasLocal()" class="member-name-link">isHasLocal()</a> - Method in class fr.ici.buildingActivity.poi.<a href="../fr/ici/buildingActivity/poi/POI.html" title="class in fr.ici.buildingActivity.poi">POI</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../fr/ici/buildingActivity/poi/POIUtil.html#isItOpenToPublic()" class="member-name-link">isItOpenToPublic()</a> - Static method in class fr.ici.buildingActivity.poi.<a href="../fr/ici/buildingActivity/poi/POIUtil.html" title="class in fr.ici.buildingActivity.poi">POIUtil</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../fr/ici/buildingActivity/insee/SireneImport.html#isKnownByAuthData(fr.ici.buildingActivity.poi.POI,java.util.List,java.sql.Connection,java.time.LocalDate,java.io.FileWriter)" class="member-name-link">isKnownByAuthData(POI, List&lt;String&gt;, Connection, LocalDate, FileWriter)</a> - Static method in class fr.ici.buildingActivity.insee.<a href="../fr/ici/buildingActivity/insee/SireneImport.html" title="class in fr.ici.buildingActivity.insee">SireneImport</a></dt>
<dd>
<div class="block">Look in SIRENE for building address</div>
</dd>
<dt><a href="../fr/ici/buildingActivity/minister/TypeOfSchools.html#isNafCorrespondType(java.lang.String,fr.ici.buildingActivity.minister.TypeOfSchools)" class="member-name-link">isNafCorrespondType(String, TypeOfSchools)</a> - Static method in enum class fr.ici.buildingActivity.minister.<a href="../fr/ici/buildingActivity/minister/TypeOfSchools.html" title="enum class in fr.ici.buildingActivity.minister">TypeOfSchools</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../fr/ici/buildingActivity/poi/POISortingNew.html#isNameEqualityCond(java.lang.String,java.lang.String)" class="member-name-link">isNameEqualityCond(String, String)</a> - Static method in class fr.ici.buildingActivity.poi.<a href="../fr/ici/buildingActivity/poi/POISortingNew.html" title="class in fr.ici.buildingActivity.poi">POISortingNew</a></dt>
<dd>
<div class="block">Names can be normal, they are cleaned and lowed in the process.</div>
</dd>
<dt><a href="../fr/ici/buildingActivity/poi/POI.html#isOpenToPublic" class="member-name-link">isOpenToPublic</a> - Variable in class fr.ici.buildingActivity.poi.<a href="../fr/ici/buildingActivity/poi/POI.html" title="class in fr.ici.buildingActivity.poi">POI</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../fr/ici/buildingActivity/address/Address.html#isParcel()" class="member-name-link">isParcel()</a> - Method in class fr.ici.buildingActivity.address.<a href="../fr/ici/buildingActivity/address/Address.html" title="class in fr.ici.buildingActivity.address">Address</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../fr/ici/buildingActivity/housing/Housing.html#isPrimary()" class="member-name-link">isPrimary()</a> - Method in class fr.ici.buildingActivity.housing.<a href="../fr/ici/buildingActivity/housing/Housing.html" title="class in fr.ici.buildingActivity.housing">Housing</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../fr/ici/buildingActivity/minister/TypeOfSchools.html#isPrimarySchool(java.lang.String)" class="member-name-link">isPrimarySchool(String)</a> - Static method in enum class fr.ici.buildingActivity.minister.<a href="../fr/ici/buildingActivity/minister/TypeOfSchools.html" title="enum class in fr.ici.buildingActivity.minister">TypeOfSchools</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../fr/ici/buildingActivity/minister/TypeOfSchools.html#isSchool(java.lang.String)" class="member-name-link">isSchool(String)</a> - Static method in enum class fr.ici.buildingActivity.minister.<a href="../fr/ici/buildingActivity/minister/TypeOfSchools.html" title="enum class in fr.ici.buildingActivity.minister">TypeOfSchools</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../fr/ici/buildingActivity/minister/TypeOfSchools.html#isSecondarySchool(java.lang.String)" class="member-name-link">isSecondarySchool(String)</a> - Static method in enum class fr.ici.buildingActivity.minister.<a href="../fr/ici/buildingActivity/minister/TypeOfSchools.html" title="enum class in fr.ici.buildingActivity.minister">TypeOfSchools</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../fr/ici/buildingActivity/util/MakeCommonNomenclature.html#isSireneRealCategorie(java.io.File,int)" class="member-name-link">isSireneRealCategorie(File, int)</a> - Static method in class fr.ici.buildingActivity.util.<a href="../fr/ici/buildingActivity/util/MakeCommonNomenclature.html" title="class in fr.ici.buildingActivity.util">MakeCommonNomenclature</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../fr/ici/buildingActivity/minister/TypeOfSchools.html#isSupSchool(java.lang.String)" class="member-name-link">isSupSchool(String)</a> - Static method in enum class fr.ici.buildingActivity.minister.<a href="../fr/ici/buildingActivity/minister/TypeOfSchools.html" title="enum class in fr.ici.buildingActivity.minister">TypeOfSchools</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../fr/ici/buildingActivity/poi/POISortingNew.html#isTypeEqualityCond(java.lang.String,java.lang.String)" class="member-name-link">isTypeEqualityCond(String, String)</a> - Static method in class fr.ici.buildingActivity.poi.<a href="../fr/ici/buildingActivity/poi/POISortingNew.html" title="class in fr.ici.buildingActivity.poi">POISortingNew</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../fr/ici/buildingActivity/util/MakeCommonNomenclature.html#isTypeEquals(java.lang.String,java.lang.String)" class="member-name-link">isTypeEquals(String, String)</a> - Static method in class fr.ici.buildingActivity.util.<a href="../fr/ici/buildingActivity/util/MakeCommonNomenclature.html" title="class in fr.ici.buildingActivity.util">MakeCommonNomenclature</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../fr/ici/buildingActivity/poi/POI.html#isValid()" class="member-name-link">isValid()</a> - Method in class fr.ici.buildingActivity.poi.<a href="../fr/ici/buildingActivity/poi/POI.html" title="class in fr.ici.buildingActivity.poi">POI</a></dt>
<dd>&nbsp;</dd>
</dl>
<a href="index-1.html">A</a>&nbsp;<a href="index-2.html">B</a>&nbsp;<a href="index-3.html">C</a>&nbsp;<a href="index-4.html">D</a>&nbsp;<a href="index-5.html">E</a>&nbsp;<a href="index-6.html">F</a>&nbsp;<a href="index-7.html">G</a>&nbsp;<a href="index-8.html">H</a>&nbsp;<a href="index-9.html">I</a>&nbsp;<a href="index-10.html">L</a>&nbsp;<a href="index-11.html">M</a>&nbsp;<a href="index-12.html">N</a>&nbsp;<a href="index-13.html">O</a>&nbsp;<a href="index-14.html">P</a>&nbsp;<a href="index-15.html">R</a>&nbsp;<a href="index-16.html">S</a>&nbsp;<a href="index-17.html">T</a>&nbsp;<a href="index-18.html">U</a>&nbsp;<a href="index-19.html">V</a>&nbsp;<a href="index-20.html">W</a>&nbsp;<br><a href="../allclasses-index.html">All&nbsp;Classes&nbsp;and&nbsp;Interfaces</a><span class="vertical-separator">|</span><a href="../allpackages-index.html">All&nbsp;Packages</a></main>
</div>
</div>
</body>
</html>
